Subject: Re: bug#47647: Feature request: Make guix communicate over Hidden Services

From: bo0od <[email-masked]>
Date: Tue, 20 Apr 2021 18:20:09 +0000

Yeah but how can someone create Tor mirror to guix upstream/main 
repository if its not done by the upstream themselves?

Unless user make his own server and get all guix packages there in order 
for him to have Tor-Tor connection from his own server/repository which 
is crazy amount of effort compared to just mounting the upstream main 
server (same server not different one) to Tor.

Having clearnet and Tor entries for same server way much easier to 
create new server just for Tor.

Ludovic Courtès:
> Hi,
> 
> bo0od <[email-masked]> skribis:
> 
>> Yeah not clean connection, What i meant by this feature sorry i didnt
>> say it clearer at the the first text which is Guix main repository
>> guix-git must be mirrored over tor hidden services then when using
>> guix install or guix pull or ...etc is going to be all over Tor (no
>> TLS used).
> 
> OK, this is what the cookbook entry proposes, right?
> 
> The missing bit is accessing the Git repo of the ‘guix’ channel via an
> Onion service (for ‘guix pull’), though one can easily create such a
> mirror.
> 
> HTH,
> Ludo’.
>